/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

body, html {
    overflow-x: hidden;
}

[data-builder-mode] .custom-animation-on-scroll.slide-up,
.custom-animation-on-scroll.slide-up.active {
   opacity: 1;
   transform: translate(0);
}

[data-builder-mode] .custom-animation-on-scroll.slide-from-left,
.custom-animation-on-scroll.slide-from-left.active {
   opacity: 1;
   transform: translate(0);
}

[data-builder-mode] .custom-animation-on-scroll.slide-from-right,
.custom-animation-on-scroll.slide-from-right.active {
   opacity: 1;
   transform: translate(0);
}

/* Delay classes for staggered animations */
.custom-animation-on-scroll.delay-s.active {
  transition-delay: 0.3s;
}

.custom-animation-on-scroll.delay-m.active {
  transition-delay: 0.6s;
}

.custom-animation-on-scroll.delay-l.active {
  transition-delay: 0.7s;
}